Viewing Issue Advanced Details Jump to Notes ]
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06209 Core Major Always May 9, 2016, 23:58 May 24, 2016, 18:11
Tester Tafoid View Status Public Platform MAME (Official Binary)
Assigned To Jezze Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved   Driver
Version 0.173 Fixed in Version 0.174 Build Normal
Summary 06209: Window is always on top after ALT+ENTER from Full Screen in Direct3D
Description If you either start MAME full-screen or start in a window, using ALT+ENTER to change to a Window display causes two issues:

(1) Window is forever 'ON TOP' and is contrary to previous behaviors expected
(2) Window position if thrown to the upper left corner with no regard of its prior position (or centered if the emulation was not previously shown as a window).

These are present with the default Window's video mode (d3d)
Use of bgfx, gdi, or opengl all work as expected.
Steps To Reproduce
Additional Information
Flags
Regression Version 0.173
Affected Sets / Systems
Attached Files
 


-  Notes
User avatar
No.12651
Jezze
(Developer)
May 14, 2016, 16:24
I hopefully fixed this bug without raising another one...

https://github.com/mamedev/mame/commit/f15b37e5c6adcbd72f0ba4f1e2845807ddf7aee8
User avatar
No.12652
Jezze
(Developer)
May 14, 2016, 17:56
edited on: May 14, 2016, 18:42
There is still a minor problem when starting in fullscreen and switching to window mode, the window border gets the basic style, not Aero or whatever has been configured as default. Besides the title of the window is empty.

User avatar
No.12655
Jezze
(Developer)
May 15, 2016, 09:05
"Fixed" the previously mentioned issue.

https://github.com/mamedev/mame/commit/f911dfcc392856be1d86a369c2685eea23110d20

The change actually does not make sense, but prevents the border style issue and seems not to cause any other problems. Can somebody confirm?
User avatar
No.12656
Jezze
(Developer)
May 15, 2016, 10:08
Fixed -switchres option.

https://github.com/mamedev/mame/commit/a6ccd3b
User avatar
No.12675
Robbbert
(Developer)
May 20, 2016, 10:40
Tafoid, is this fixed for you?
User avatar
No.12680
Tafoid
(Administrator)
May 20, 2016, 18:56
This no longer happens for me, but I have heard of the same thing happening to users of -video bgfx (Mooglyguy in particular) so I don't know if the fixes cover both instances or not.
User avatar
No.12689
Jezze
(Developer)
May 21, 2016, 08:31
I think the "Window is always on top" issue has been fixed correctly.

But I'm not happy with the fix of the border style issue, it feels like a workaround. It cannot be right to set the "Windowed" presentation parameter to true when we run MAME in full-screen. Moreover this issue isn't fixed for -switchres in full-screen mode. When you switch back to windows mode the border style is wrong again.

This only happens when you start MAME in full-screen mode. If you start MAME in window mode and switch between window and full-screen mode the border style is always as expected.

Anyway, I have no idea of how to fix the problem properly.
User avatar
No.12706
Jezze
(Developer)
May 24, 2016, 18:11
I created a follow-up ticket #6219 for the border style issue.